tigase.xmpp.impl.roster

## Enum RosterAbstract.SubscriptionType

- java.lang.Object
- - java.lang.Enum<RosterAbstract.SubscriptionType>
  - - tigase.xmpp.impl.roster.RosterAbstract.SubscriptionType

- All Implemented Interfaces:
    Serializable, Comparable<RosterAbstract.SubscriptionType>
  Enclosing class:
    RosterAbstract

      public static enum RosterAbstract.SubscriptionType
      extends Enum<RosterAbstract.SubscriptionType>

  Enum description

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `both`
    `from`
    `from_pending_out`
    `none`
    `none_pending_in`
    `none_pending_out`
    `none_pending_out_in`
    `remove`
    `to`
    `to_pending_in`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getSubscriptionAttr()` Method description
    `static RosterAbstract.SubscriptionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RosterAbstract.SubscriptionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final RosterAbstract.SubscriptionType none

    - #### none_pending_out

          public static final RosterAbstract.SubscriptionType none_pending_out

    - #### none_pending_in

          public static final RosterAbstract.SubscriptionType none_pending_in

    - #### none_pending_out_in

          public static final RosterAbstract.SubscriptionType none_pending_out_in

    - #### to

          public static final RosterAbstract.SubscriptionType to

    - #### to_pending_in

          public static final RosterAbstract.SubscriptionType to_pending_in

    - #### from

          public static final RosterAbstract.SubscriptionType from

    - #### from_pending_out

          public static final RosterAbstract.SubscriptionType from_pending_out

    - #### both

          public static final RosterAbstract.SubscriptionType both

    - #### remove

          public static final RosterAbstract.SubscriptionType remove

  - ### Method Detail

    - #### values

          public static RosterAbstract.SubscriptionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RosterAbstract.SubscriptionType c : RosterAbstract.SubscriptionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RosterAbstract.SubscriptionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSubscriptionAttr

          public Map<String,String> getSubscriptionAttr()

      Method description
      Returns:
        a value of `Map`

Copyright © 2013 Tigase. All rights reserved.